### Method

# Gtk Root get_focus

#### Declaration [src]

    GtkWidget*
    gtk_root_get_focus (
      GtkRoot* self
    )

#### Description [src]

Retrieves the current focused widget within the root.

Note that this is the widget that would have the focus if the root is active; if the root is not focused then `gtk_widget_has_focus (widget)` will be `FALSE` for the widget.

#### Return value

Returns: | `GtkWidget`
| The currently focused widget.
| The data is owned by the instance.
| The return value can be `NULL`.